import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { T as Text } from './Text-79637a49.js';
var UIText = /** @class */ (function () {
    function UIText(hostRef) {
        registerInstance(this, hostRef);
    }
    UIText.prototype.render = function () {
        return (h(Text, null, h("slot", null)));
    };
    return UIText;
}());
export { UIText as ui_text };
